2011年6月28日

[debian-users:55438] squeeze でadvi が動かない?

筑波大の浅沼と申します。

squeezeにアップデートしてから、日本語テキストでxemacs+whizzytex+adviが使
えなくなりました。lennyではできていたように記憶しています。よく調べてみ
ると、adviが動いていないようで、

---------------------
kpathsea: Running mktexpk --mfmode / --bdpi 600 --mag 1+0/600 --dpi 600

min10
mktexpk: don't know how to create bitmap font for min10.
kpathsea: Appending font creation commands to missfont.log.
Warning: file min10.pk is not found
Warning: file msgothic.ttc is not found
Warning: Font file msgothic.ttc for goth10 is not found
--------------------

というエラーを延々と吐いて、日本語を表示できません。

ググると2005年ごろに、同様のエラーについての記述がありますが、その後、ど
うなったかについては不明で、

http://www.netfort.gr.jp/~dancer/column/whizzytex.html.ja

を見ると、2008年頃には解決していたようです。

adviの設定は以下の通りで、

====/etc/advi/jpfonts.conf=======
min Mincho /usr/share/fonts/truetype/ttf-japanese-mincho.ttf
goth Gothic /usr/share/fonts/truetype/ttf-japanese-gothic.ttf
=============

ファイルはそれぞれ、/usr/share/fonts/opentype/ipafont/{ipag,ipam}.ttfを
最終的には指していて、実体があります。

ご教授いただけましたら、幸いです。よろしくお願いします。

--
=======================
筑波大学陸域環境研究センター
浅沼 順

Jun Asanuma
Professor
Terrestrial Environment Research Center
Tsukuba University

URL: http://www.suiri.tsukuba.ac.jp/~asanuma
mail: asanuma@xxxxx
Voice&Fax: +81-29-853-6704


投稿者 xml-rpc : 2011年6月28日 01:53
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/105026
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。